Mailinglist Archive: opensuse-packaging (266 mails)

< Previous Next >
Re: [opensuse-packaging] How can I access BuildRequires for the Debian build process?
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 16.11.2012 15:04, schrieb Jeremias Brödel:

Hey,

I am trying to build php5-pear-Horde_Autoloader for Debian 6. The
build requiers are debian's pkg-php-tools, which I provide in
server:php:applications. Sadly it gets unresolvable messages.

"Nothing provides update-alternatives".

I doubt that there is no update-alternatives package in the Debian
6 Build target. How can I access this?

https://build.opensuse.org/package/show?package=pkg-php-tools&project=server%3Aphp%3Aapplications#

What should I do to build pkg-php-tools against debian squeeze?

Thanks,

Jeremias

Hi Jerry,

good analysis so far.

I investigated a bit. s:p:a's project config required
update-alternatives as a package in the project meta.

update-alternatives lives in the dpkg package though. I changed that
setting now. I also changed a few of your BuildDepends.

Another problem is that the package tarball name contains a space
instead of a plus which was expected. This may happen in some GUIs.

This version built fine locally, checked in. Please see if you need to
adapt anything.

- --
Ralf Lang
Linux Consultant / Developer
Tel.: +49-170-6381563
Mail: lang@xxxxxxxxxxxxx

B1 Systems GmbH
Osterfeldstraße 7 / 85088 Vohburg / http://www.b1-systems.de
GF: Ralph Dehner / Unternehmenssitz: Vohburg / AG: Ingolstadt,HRB 3537
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (GNU/Linux)
Comment: Using GnuPG with undefined - http://www.enigmail.net/

iEYEARECAAYFAlCnTgoACgkQCs1dsHJ/X7C9mwCg8Mq3ThuHGyZnuOb+7i4hsV6R
VEMAn0wf5PFQS1xdR3lAE3LRUBmDZNuT
=o+oK
-----END PGP SIGNATURE-----
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >
References